# std::greater_equal< _Tp > Struct Template Reference
[Comparison Classes]

One of the comparison functors. More...

`#include <stl_function.h>`

Inheritance diagram for std::greater_equal< _Tp >:

[legend]
Collaboration diagram for std::greater_equal< _Tp >:

[legend]
List of all members.

## Public Types

typedef _Tp | first_argument_type
| the type of the first argument (no surprises here)
typedef _Tp | second_argument_type
| the type of the second argument
typedef bool | result_type
| type of the return type

## Detailed Description

### template<class _Tp>
struct std::greater_equal< _Tp >

One of the comparison functors.

Definition at line 202 of file stl_function.h.

## Member Typedef Documentation

typedef _Tp std::binary_function< _Tp, _Tp, bool >::first_argument_type`[inherited]`

| the type of the first argument (no surprises here) Definition at line 112 of file stl_function.h.

typedef bool std::binary_function< _Tp, _Tp, bool >::result_type`[inherited]`

| type of the return type Definition at line 114 of file stl_function.h.

typedef _Tp std::binary_function< _Tp, _Tp, bool >::second_argument_type`[inherited]`

| the type of the second argument Definition at line 113 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h